{
    "author": "Ghost Team <someone@ghostchain.io>",
    "description": "Wallet for Ghost and Casper blockchains light clients",
    "homepage_url": "https://github.com/ghostchain/ghost-wallet",
    "name": "Ghost Wallet",
    "short_name": "ghost-wallet",
    "version": "0.0.0",
    "manifest_version": 3,
    "permissions": ["notifications", "storage", "tabs", "alarms"],
    "background": {
        "scripts": ["background/background.js"],
        "type": "module"
    },
    "action": {
        "default_title": "Ghost Wallet",
        "default_popup": "ui/assets/wallet-popup.html"
    },
    "options_ui": {
        "page": "ui/assets/options.html",
        "open_in_tab": true
    },
    "content_scripts": [
        {
            "js": ["content/content.js"],
            "matches": ["http://*/*", "https://*/*"],
            "run_at": "document_start"
        }
    ],
    "icons": {
        "16": "./icons/icon-16.png",
        "32": "./icons/icon-32.png",
        "48": "./icons/icon-48.png",
        "128": "./icons/icon-128.png"
    },
    "content_security_policy": {
        "extension_pages": "script-src 'self' 'wasm-unsafe-eval'; object-src 'self'"
    },
    "browser_specific_settings": {
        "gecko": {
            "id": "{9b4d20ed-b18a-4237-b5d0-ca71c2ce2060}"
        }
    },
    "web_accessible_resources": [
        {
            "resources": ["inpage/inpage.js"],
            "matches": ["http://*/*", "https://*/*"]
        }
    ]
}
